Bug 534368 - (RHQ-1171) improve navigation & security handling around for admin test pages
improve navigation & security handling around for admin test pages
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 12:14 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-11-23 12:14:00 EST

    
Comment 1 Joseph Marques 2008-11-23 12:16:11 EST
rev2108 - improve navigation between the various admin test pages;

rev2109 - move all admin pages into /admin/test subdirectory so they can be easily hidden behind the Authentication filter by a single, simple url-pattern; 
any new admin test pages should be placed in /admin/test from here on out;

rev2110 - simplify security for admin test pages by consolidating handling logic into the filter layer; 
now each /admin/test/* page can focus on functionality only and let security be handled by the filters; 
Comment 2 Jeff Weiss 2009-01-05 15:37:48 EST
Verified that the navigation among all the /admin/test/* pages works.  Verified that you are prompted for login when you go to one of these pages and you don't have a valid admin session.  rev2522.
Comment 3 Red Hat Bugzilla 2009-11-10 15:27:16 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1171

Note You need to log in before you can comment on or make changes to this bug.